User talk:Ric

From The Uniform Server Wiki
Jump to: navigation, search

Yeyyy... Welcome to the wiki Ric ;-) Just added you as Sysop & beau.

--Olajide 02:01, 16 May 2008 (UTC)

Welcome, Ric, hope to be able to have a nice chat with you sometime :)

MrX, how about you put a signature so he knows??? lol. am umm Ric, do you think we should use the version number in the title? I think its better if we dont because if anything changes, it will most likely be updated on the wiki so i dont think we need to use the version numbers. Oh yeah.. categories! lol. --Olajide 08:48, 20 May 2008 (UTC)

Hi Olajide, well I have made a start with transferring pages as you can see from the number of edits have not mastered it yet. Anyway I have popped a new battery in the sat-nav and slowing finding my way around.

Regarding the version number before the release of 4 if you upgrade 3.5 just up the number to 3.6 will avoid any confusion. There’s a question will there be a 3.6?

Ric 20:32, 22 May 2008 (UTC)

Maybe someday I'll regret answering this on behalf of Olajide, but from what I've heard, I don't think there'll be a 3.6 :)
By the way, hi Ric :)
I guess one of the reasons why Olajide decided on such a big version jump was that 4.0 will come with Apache 2.2 and maybe because he also has some big plans for the Admin Panel :D

Thanks for that bit of info. In all honesty I have hacked 3.5 to death on more than one occasion (ok out of its design spec) but straight out of the box it works fine so probably no need for 3.6.

I think 4 needs to have a little more headroom, by this I mean increase in size with more functionality but not bloat ware. An interesting balancing act! When’s Olajide going to join the circus or his he already a member?

Ric 21:22, 22 May 2008 (UTC)


Hey Ric, as MrX said, there will be no 3.6. We are maing a big jump to 4.0 from 3.5, due to most of the reason MrX also mentions ;-) lol. And umm, i am already a member of the circus. lol. Uniform Circus.. :) and yeah, everything takes time, and nothing is ever perfect, so everything is good Ric. I like what you've done so far and welcome to the Wiki. :) --Olajide 22:58, 22 May 2008 (UTC)

I guess 4.0 will get a size increase, due to the fact that the Apache 2.2 binaries Olajide will be using is compiled with VC 2008 (aka VC9, released in November last year) and has OpenSSL enabled. So, we'll probably need to add the VC9 runtime(s) (unless their improvement in performance doesn't involve these) and OpenSSL DLLs to avoid some crazy DLL Hell ;)

MrX, Ric is the one who compiled the Apache 2.2 Migrate. He is the developer in charge of that section of 4.0. I really havent asked him which one he used... --Olajide 03:40, 23 May 2008 (UTC)

Ok, Olajide, maybe Ric should get a custom build of Apache with the version reply edited out :D
Anyway, Ric, have you tested your UniCenter Python plugin to see if it would run Python programs like MoinMoin? Olajide: How about a mod_fcgid plugin for running Perl and Python?
<RMS>Ric: I also noticed that on your New Users Python Intro page you mentioned that you like the GNU Free Documentation License, you do know that that's what this wiki uses, right?</RMS>
Wow, this talk page has really grown in the past 24 hours :D


Security: Being new to the Wiki I am looking at security and how to protect pages. I have never knowingly published any files containing a virus or malicious content. Hence on the Wiki I will lock down two types of pages any containing an MD5 check sum along with the associated downloadable and any text file pertaining to a batch file. My tests confirm this is possible OK nothing is 100% secure that’s the real world. It’s all down to a reasonable degree of confidence.

Ric 22:51, 23 May 2008 (UTC)


Security: Hi Olajide thanks for the PM. What you propose is ideal from my point of view. I can lock down pages containing MD5 check sums more importantly the exe files (I like 7Z) cannot be tampered with. It’s not just about security but also user confidence when using the Wiki. Hey one added bonus no changes to the Wiki configs.

When you have it in place I will upload the pages that require exe files.

Ric 22:21, 25 May 2008 (UTC)


Hi, Ric. May I know where you're getting the Apache 2.2 binaries (for 4.0) from?


Hi I am not sure what Olajide has planed to use on 4 however the binaries I hacked around were:

Apache 2.2.8 Downloaded from: http://httpd.apache.org/download.cgi Version: apache_2.2.8-win32-x86-openssl-0.9.8g.msi

Ric 15:52, 26 May 2008 (UTC)


I'm guessing that those were the ones you used for your mini servers, right?
Well, this is a little strange, just read Olajide's message posted on 03:40, 23 May 2008 a few lines above. When I talked about the Apache 2.2 binaries, Olajide said that you were in charged of that, so I guess it is up to you to decide :)
Well, the binaries I mentioned above, while talking to Olajide are from http://www.apachelounge.com/download/, there are some module binaries there as well.
Since Olajide has put you in charged of this, I'm wondering if you have any comments on those binaries. I am also interested to know if you plan to include mod_ssl together with 4.0, or whether you would prefer to distribute that as a separate plugin.

MrX, stop harassing Ric. Let him do what he has to do.. lol. --Olajide 08:08, 27 May 2008 (UTC)

I was just trying to have a meaningful conversation :(


Hi Mr X I apologise for not getting back. To be honest I am not sure where the mini-server binaries came from, most probably from Hunter that source was my favourite it really is a shame the site has closed. I say not sure because after my disk crash I lost some data. The mini-server info was on a sector or two I could not recover. Always meant to do a full back up but never got around to it.

I really think now you can’t go wrong if you use binaries from http://httpd.apache.org/download.cgi Apace Org. These will work fine on the mini-servers with no change. I am currently looking at a new write-up and now Apache Org is my first port of call.

By the way I certainly respect your technical competence and views, after a clean OS install on my new hard drive I had problems with slimFTPd! I remembered you’re post on the forum, what can I say! Spot on, certainly resolved my problem.

I very rarely can catch you or Olajide in real time on the forum due to the six-hour difference between USA and UK time.

If I remember correctly you are now a Linux person only interested because I have tried several distributions and never been able to get a connection to my wireless router.

All the best

Ric 21:34, 30 May 2008 (UTC)


Thank you so much for replying, Ric :)
Could I know more about the now closed "Hunter" site you were talking about? (A URL would be nice)
About the time difference, I'm 12 hours ahead of Olajide and 7 hours ahead of you. I'm sure we'll be able to find a suitable time to meet up.

I mentioned the ApacheLounge binaries as on that site, they claim that their binaries are compiled with VC9 and the ones from Apache.org are compiled with VC6. I have no way of testing this without Windows, but I guess that means the binaries are also linked to the latest VC runtime library, which is probably why it has improved performance. Well, I guess that's all I have to say about the binaries. I just wanted to find out what you thought about the improved performance claim, if you don't think that's necessary, I'll respect your decision.

Finally, Linux. Which distributions did you try? Did you install the distributions on your hard disk or did you use a LiveCD/DVD/USB? I don't have any experience with wireless routers, however, as far as I know, when that's not working, NDISwrapper, a driver wrapper, is usually mentioned. There is a list of supported cards on their site. I'm not sure if that's a suitable solution to your problem as I don't know why your network card was not detected by the distributions you tried -- because the proper drivers were not compiled into the kernel and then loaded or because your card is incompatible with Linux (not natively supported).

Another thing, Ric, do you think it'll be better to put your article navigation bar (sorry, I couldn't find a better name for that) in a Template like what Olajide has done for the Development Status, Wiki News, and Did You Know sections in the Main Page?


Ric, in a few hours it will be a week since my last message.
Please tell me what's the best way to contact you :(


Hi Mr X

Ya the passage of time, it just disappears hence the delay.

Hunter provided compiled binaries before Apache started to meet this requirement and needs of Windows users. As for a link the site has gone however this may be worth a read

ApacheLounge vs Apache.org binaries to be honest I have never compared speed I am slightly biased towards Apache.org only because they have a superb archive of older versions.

As for Linux I just can’t afford the time to do it justice, however I have recently tried Knoppix 5.3.1, which allowed me to connect to my router and Internet.

Template for navigation bar, would be a good idea just that I am so new to this Wiki stuff I have now ideas how to implement it, again lack of time.

“Ric, in a few hours it will be a week since my last message. Please tell me what's the best way to contact you :”

Perhaps a PM on the forum, it probably wont guarantee any faster response time however you can be sure I will read it.

Ric 22:26, 6 June 2008 (UTC)


Ric, when you've found enough time, maybe you could try Wubi. It allows you to dual boot Linux and Windows by installing Ubuntu Linux (which is probably one of the most new-user-friendly Linux distributions available) as a file on your existing Windows partition :)

So, what time are you usually online and checking the forum or wiki?


Such a long User Talk page? Wow. Am jealous. lol. --Olajide 04:10, 7 June 2008 (UTC)


Ric, please take a look at Talk:5.3-Nano: Introduction for a question about page naming. It might save a lot of work in the long run. I'll also hit the Forum. BTW, I look forward to helping you out a bit.

BobS 19:29, 23 November 2009 (UTC)


Hello Ric, how put this bar,in MAIN PAGE,my wiki was created in mediawiki cannot enter in my account don't know why. Knuckles The Echidna 16:31, 21 August 2010 (UTC)